Loading...
Searching...
No Matches
ranges::views::partial_sum_fn Struct Reference
Inheritance diagram for ranges::views::partial_sum_fn:

## Public Member Functions

template<typename Fun = plus>
constexpr auto | operator() () const
template<typename Fun > requires (!range<Fun>)
constexpr auto | operator() (Fun &&fun) const
Public Member Functions inherited from ranges::views::partial_sum_base_fn
template<typename Rng , typename Fun = plus> requires detail::partial_sum_view_constraints<all_t<Rng>, Fun>
constexpr partial_sum_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun={}) const

## Related Symbols

(Note that these are not member symbols.)
constexpr view_closure< partial_sum_fn > | partial_sum {}